<?php
/**
 * Copyright © 2016 Filoblu S.r.l. All rights reserved.
 */
namespace FiloBlu\OrderAdditionalData\Model;

/**
 * OAD Order Additional Data
 */
class OrderData extends \Magento\Framework\Model\AbstractModel implements \FiloBlu\OrderAdditionalData\Api\OrderDataInterface
{
    const CACHE_TAG = 'filoblu_oad_order';

    protected function _construct()
    {
        $this->_init('FiloBlu\OrderAdditionalData\Model\ResourceModel\OrderData');
    }

    /**
     * Return additional data
     *
     * @return mixed
     */
    public function getDataArray(){
        return unserialize($this->getAdditionalData());
    }
    
}